from parallels.core.utils.message_utils import single_line_message
from parallels.core.utils.message_utils import multi_line_message

LOG_REMOVE_EXISTING_BACKUP_FILE = single_line_message("""
	Remove previous existing backup file.
""")
CANNOT_GET_INFO_FROM_HELM = single_line_message("""
	Can't get info from Helm, error is '%s'; migration was stopped.
""")
CHECKING_IF_THERE_IS_ENOUGH_DISK_SPACE = single_line_message("""
	Checking if there is enough disk space on Plesk
""")
REPORT_DB_SERVERS_CONNECTIONS = single_line_message("""
	Connections between source and the destination database server nodes
""")
CANNOT_GET_HELM_WEB_NODE_IP = single_line_message("""
	Can't get Helm node IP with web content for domain '{domain_name}', try to get FTP IP
""")
FETCH_HELM_SERVERS_INFO = single_line_message("""
	Fetch Helm servers information.
""")
CHECK_CONNECTIONS_TO_COPY_MAIL_CONTENT = single_line_message("""
	Check connections necessary to copy mail content
""")
REPORT_CONNECTIONS_WEB_NODES = single_line_message("""
	Connections between source and the destination web server nodes
""")
GET_DISK_USAGE_ON_WINDOWS_SERVER = single_line_message("""
	Calculating disk space usage on the source windows servers
""")
SKIP_LOADING_CACHED_HELM_DATA_FILES = single_line_message("""
	Data files for Helm already exist, skip loading
""")
REPORT_CONNECTIONS_MAIL_NODES = single_line_message("""
	Connections between source and the destination mail server nodes
""")
FAILED_TO_CHECK_CONNECTIONS_MAIL_NODES = single_line_message("""
	Failed to check connections between source and the destination mail server nodes
""")
FAILED_TO_CHECK_CONNECTIONS_WEB_NODES = single_line_message("""
	Failed to check connections between source and the destination web server nodes
""")
FAILED_TO_CHECK_CONNECTIONS_DB_NODES = single_line_message("""
	Failed to check connections between source and the destination database server nodes
""")
CANNOT_GET_IP_ADDRESSES_FOR_SUBSCRIPTION = single_line_message("""
	Can't get IP addresses for subscription '%s'.
""")
CANNOT_GET_IP_ADDRESSES_FOR_SUBSCRIPTION_SERVICE_IPS_COMMAND = single_line_message("""
	Can't get IP addresses for subscription '%s'. Get service ips command return {%s} exit code.
""")
CANNOT_DETECT_IF_SUBSCRIPTION_IS_FAKE = single_line_message("""
	Can't detect if subscription '%s' fake or not.
""")
CANNOT_GET_DISK_USAGE_FOR_SUBSCRIPTION = single_line_message("""
	Can't get diskspace usage for subscription '%s'.
""")
CANNOT_DETECT_PROVIDER_TYPE_OF_MAIL = single_line_message("""
	Can't detect provider type of mail services for subscription '%s'.
""")
CANNOT_DETECT_SOURCE_VHOST_DIR = single_line_message("""
	Can't detect source vhost dir for server with ip '%s'.
""")
CANNOT_GET_IP_ADDRESSES_FOR_SERVER = single_line_message("""
	Can't get IP addresses for server '%s'.
""")
CANNOT_FIND_SOURCE_SERVER_BY_ID = single_line_message("""
	Cannot find source server with ID '%s'.
""")
CANNOT_FIND_SOURCE_SERVER_BY_IP = single_line_message("""
	Cannot find source server with IP '%s'.
""")
DATABASE_SERVER_NAMES_ALREADY_REPLACED = single_line_message("""
	Database server names already replaced
""")
FAILED_TO_REPLACE_DATABASE_SERVER_IPS = single_line_message("""
	Failed to replace database server IP addresses in dump
""")
REPLACE_DATABASE_SERVER_IPS = single_line_message("""
	Replace database server IP addresses in dump
""")
RSYNC_FAILED_COPY_FILES = multi_line_message("""
	Rsync failed to copy files from the source (%s) to the target server (%s): %s
	This could happen because of a network connection issue. Retry copying the files with the help of the "copy-content" command.
""")
NO_VDIRS_FOR_SITE = single_line_message("""
	There is no virtual directories XML for site, virtual directories restoration is skipped for it
""")
CHANGE_FTP_USER_LOGINS = single_line_message("""
	Change FTP user logins so they conform to PPA rules
""")
FAILED_TO_CHANGE_FTP_USER_LOGINS = single_line_message("""
	Failed to change FTP user logins so they conform to PPA rules. FTP users may be restored incorrectly
""")
DNS_CONVERSION_IS_IMPLEMENTED_ONLY_FOR_PLESK_AND_PPA = single_line_message("""
	DNS conversion is implemented only for Plesk and PPA
""")
FAILED_TO_CONVERT_DNS_RECORDS_FOR_SUBSCRIPTION = single_line_message("""
	Failed to convert DNS records for subscription '%s'
""")
